package data.missions.pvparena;

import com.fs.starfarer.api.fleet.FleetGoal;
import com.fs.starfarer.api.fleet.FleetMemberType;
import com.fs.starfarer.api.impl.campaign.ids.StarTypes;
import com.fs.starfarer.api.mission.FleetSide;
import com.fs.starfarer.api.mission.MissionDefinitionAPI;
import com.fs.starfarer.api.mission.MissionDefinitionPlugin;

public class MissionDefinition implements MissionDefinitionPlugin {

	public void defineMission(MissionDefinitionAPI api) {

		// Set up the fleets so we can add ships and fighter wings to them.
		// In this scenario, the fleets are attacking each other, but
		// in other scenarios, a fleet may be defending or trying to escape
		api.initFleet(FleetSide.PLAYER, "ISS", FleetGoal.ATTACK, false);
		api.initFleet(FleetSide.ENEMY, "ISS", FleetGoal.ATTACK, true);

		api.setFleetTagline(FleetSide.PLAYER, "Player 1");
		api.setFleetTagline(FleetSide.ENEMY, "Player 2");

		api.addBriefingItem("Let's kill each other like civilized people.");


		api.addToFleet(FleetSide.PLAYER, "onslaught_Elite", FleetMemberType.SHIP, "Player1", true);
		

		api.addToFleet(FleetSide.ENEMY, "onslaught_Elite", FleetMemberType.SHIP, "Player2", false);
		
		api.defeatOnShipLoss("Player1");
		
		// Set up the map.
        float width = 5000f;
        float height = 5000f;
        api.initMap((float)-width/1f, (float)width/1f, (float)-height/1f, (float)height/1f);

        float minX = -width/1;
        float minY = -height/1;


        api.addPlanet(minX + width * 0.8f, minY + height * 0.5f, 800f, "barren", 800f);
	}

}
